PontosCulturais/Controllers/EspacoCulturalController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics.CodeAnalysis;
using System.Linq;
using System.Security.Claims;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using PontosCulturais.Contexto;
using PontosCulturais.Controllers.Base;
using PontosCulturais.Exceptions.Base;
using PontosCulturais.Geradores.Interfaces;
using PontosCulturais.Models;
using PontosCulturais.Models.CadastroEspaçoCultural;
using PontosCulturais.Repositórios.Interface;
using PontosCulturais.Serviços.Interfaces;
using PontosCulturais.Singletons;
using PontosCulturais.ViewModels;

namespace PontosCulturais.Controllers
{
    public class EspacoCulturalController : EFControllerBase
    {
        //Geradores
        private readonly IViewModelControllersGerador<CadastroEspaçoCulturalViewModel> _geradorEspaçoCulturalViewModel;
        private readonly IAvisoViewModelGerador _geradorAvisoViewModel;
        private readonly IViewModelControllersGerador<AnexosEspaçoCulturalViewModel> _geradorAnexosEspaçoCulturalViewModel;
        private readonly IMostrarEspaçoCulturalViewModelGerador _mostrarEspaçoCulturalViewModelGerador;

        //Repositórios
        private readonly IOpçõesCadastroEspaçoCulturalRepositório _opçõesCadastroEspaçoCulturalRepositório;
        private readonly ISegmentosCulturaisRepositório _segmentosCulturaisRepositório;
        private readonly IEspaçoCulturalRepositório _espaçoCulturalRepositório;
        private readonly IAnexosEspaçoCulturalRepositório _repositórioAnexosEspaçoCultural;

        //Serviços - Validação
        private readonly IValidarModeloServiço<CadastroEspaçoCulturalViewModel> _validarEspaçoCadastroCulturalServiço;
        private readonly IValidarModeloServiço<AnexosEspaçoCulturalViewModel> _validarAnexosEspaçoViewModel;

        //Serviços - Outros
        private readonly IOpçõesCadastroParaTextoServiço _opçõesCadastroParaTextoServiço;
        private readonly IUploadServiço _serviçoUpload;

        public EspacoCulturalController(AppContexto contexto, IViewModelControllersGerador<CadastroEspaçoCulturalViewModel> geradorEspaçoCulturalViewModel, IOpçõesCadastroEspaçoCulturalRepositório opçõesCadastroEspaçoCulturalRepositório, 
            ISegmentosCulturaisRepositório segmentosCulturaisRepositório, IValidarModeloServiço<CadastroEspaçoCulturalViewModel> validarEspaçoCadastroCulturalServiço, 
            IEspaçoCulturalRepositório espaçoCulturalRepositório, IAvisoViewModelGerador geradorAvisoViewModel, IMostrarEspaçoCulturalViewModelGerador mostrarEspaçoCulturalViewModelGerador,
            IOpçõesCadastroParaTextoServiço opçõesCadastroParaTextoServiço, IViewModelControllersGerador<AnexosEspaçoCulturalViewModel> geradorAnexosEspaçoCulturalViewModel,
            IValidarModeloServiço<AnexosEspaçoCulturalViewModel> validarAnexosEspaçoViewModel, IUploadServiço serviçoUpload, IAnexosEspaçoCulturalRepositório repositórioAnexosEspaçoCultural)
            : base(contexto)
        {
            _geradorEspaçoCulturalViewModel = geradorEspaçoCulturalViewModel;
            _opçõesCadastroEspaçoCulturalRepositório = opçõesCadastroEspaçoCulturalRepositório;
            _segmentosCulturaisRepositório = segmentosCulturaisRepositório;
            _validarEspaçoCadastroCulturalServiço = validarEspaçoCadastroCulturalServiço;
            _espaçoCulturalRepositório = espaçoCulturalRepositório;
            _geradorAvisoViewModel = geradorAvisoViewModel;
            _mostrarEspaçoCulturalViewModelGerador = mostrarEspaçoCulturalViewModelGerador;
            _opçõesCadastroParaTextoServiço = opçõesCadastroParaTextoServiço;
            _geradorAnexosEspaçoCulturalViewModel = geradorAnexosEspaçoCulturalViewModel;
            _validarAnexosEspaçoViewModel = validarAnexosEspaçoViewModel;
            _serviçoUpload = serviçoUpload;
            _repositórioAnexosEspaçoCultural = repositórioAnexosEspaçoCultural;
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult Index()
        {
            if (_espaçoCulturalRepositório.ChecarPeloIdUsuário(RetornarId())) return RedirectToAction(nameof(MostrarEspaco));

            var viewModel = _geradorEspaçoCulturalViewModel.GerarViewModelInicial();
            AlimentarViewModel(viewModel);
            return View(viewModel);
        }

        [HttpPost][ValidateAntiForgeryToken][Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult InserirEspaco(CadastroEspaçoCulturalViewModel viewModel)
        {
            var resultado = _validarEspaçoCadastroCulturalServiço.Validar(viewModel);
            if(resultado.Erro)
            {
                var novoViewModel = _geradorEspaçoCulturalViewModel.GerarViewModelInicial();
                AlimentarViewModel(novoViewModel);
                novoViewModel.Aviso = resultado;

                return View(nameof(Index), novoViewModel);
            }

            if(!string.IsNullOrEmpty(viewModel.EspaçoCultural.Cnpj) && !_espaçoCulturalRepositório.VerificarCNPJÚnico(viewModel.EspaçoCultural.Cnpj))
            {
                var novoViewModel = _geradorEspaçoCulturalViewModel.GerarViewModelInicial();
                AlimentarViewModel(novoViewModel);
                novoViewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("CNPJ já usado", Erros.CNPJRepetido);

                return View(nameof(Index), novoViewModel);
            }

            viewModel.EspaçoCultural.PessoaFísicaId = RetornarId();

            _espaçoCulturalRepositório.Inserir(viewModel.EspaçoCultural);
            _opçõesCadastroEspaçoCulturalRepositório.Inserir(viewModel);
            SalvarAlterações();

            return RedirectToAction(nameof(MostrarEspaco));

        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult MostrarEspaco()
        {
            var id = RetornarId();

            var espaço = _espaçoCulturalRepositório.RetornarPorId(id);
            var atividades = _opçõesCadastroEspaçoCulturalRepositório.RetornarAtividadesPorIdPessoaFísica(id);
            var origens = _opçõesCadastroEspaçoCulturalRepositório.RetornarOrigensPorIdPessoaFísica(id);
            var funcionamentos = _opçõesCadastroEspaçoCulturalRepositório.RetornarFuncionamentosPorIdPessoaFísica(id);
            var segmentos = _opçõesCadastroEspaçoCulturalRepositório.RetornarSegmentosPorIdPessoaFísica(id);
            var equipamentos = _opçõesCadastroEspaçoCulturalRepositório.RetornarEquipamentosPorIdPessoaFísica(id);

            var viewModel = _mostrarEspaçoCulturalViewModelGerador.GerarViewModelInicial(_opçõesCadastroParaTextoServiço, espaço, atividades, origens, funcionamentos, segmentos, equipamentos);

            return View(viewModel);
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult Anexos()
        {
            if (_repositórioAnexosEspaçoCultural.VerificarSeJáCadastrou(RetornarId())) return View("Sucesso");

            return View(_geradorAnexosEspaçoCulturalViewModel.GerarViewModelInicial());
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public async Task<IActionResult> InserirAnexos(AnexosEspaçoCulturalViewModel viewModel)
        {
            var id = RetornarId();
            var espaçoCultural = _espaçoCulturalRepositório.RetornarPorIdSemIncludesPodendoSerNulo(id);

            if(espaçoCultural == null)
            {
                var novoViewModel = _geradorAnexosEspaçoCulturalViewModel.GerarViewModelInicial();
                novoViewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Cadastre um espaço cultural antes", Erros.AnexoAntesEspaço);

                return View(nameof(Anexos), novoViewModel);
            }

            var resultado = _validarAnexosEspaçoViewModel.Validar(viewModel);
            if(resultado.Erro)
            {
                var novoViewModel = _geradorAnexosEspaçoCulturalViewModel.GerarViewModelInicial();
                novoViewModel.Aviso = resultado;

                return View(nameof(Anexos), novoViewModel);
            }

            if(string.IsNullOrEmpty(espaçoCultural.Cnpj) ^ viewModel.ComprovanteCNPJ == null)
            {
                var novoViewModel = _geradorAnexosEspaçoCulturalViewModel.GerarViewModelInicial();
                novoViewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Há uma inconsistência entre o CNPJ informado e o comprovante anexado", Erros.ComprovanteCNPJVazio);

                return View(nameof(Anexos), novoViewModel);
            }

            if(!espaçoCultural.PossuiAlvaráDeFuncionamento ^ viewModel.ComprovanteAlvará == null)
            {
                var novoViewModel = _geradorAnexosEspaçoCulturalViewModel.GerarViewModelInicial();
                novoViewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Há uma inconsistência com o alvará de funcionamento", Erros.AlvaráVazio);

                return View(nameof(Anexos), novoViewModel);
            }

            if(!espaçoCultural.DocumentoVínculoEmpregatícioFuncionários ^ viewModel.ComprovanteFuncionários == null)
            {
                var novoViewModel = _geradorAnexosEspaçoCulturalViewModel.GerarViewModelInicial();
                novoViewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Há uma inconsistência com o comprovante de vínculo empregatício", Erros.ComprovanteFuncionáriosVazio);

                return View(nameof(Anexos), novoViewModel);
            }

            var caminhoComprovanteEndereço = "";
            var caminhoComprovanteCNPJ = "";
            var caminhoComprovanteAtividades = "";
            var caminhoComprovanteFuncionários = "";
            var caminhoComprovanteAlvará = "";

            try
            {
                var idString = id.ToString();

PontosCulturais/Controllers/PainelController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Claims;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authentication;
using Microsoft.AspNetCore.Authentication.Cookies;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using PontosCulturais.Geradores.Interfaces;
using PontosCulturais.Models;
using PontosCulturais.Repositórios.Interface;
using PontosCulturais.Serviços.Interfaces;
using PontosCulturais.Singletons;
using PontosCulturais.ViewModels;

namespace PontosCulturais.Controllers
{
    public class PainelController : Controller
    {
        private readonly IViewModelControllersGerador<LoginViewModel> _geradorLoginViewModel;
        private readonly IAvisoViewModelGerador _geradorAvisoViewModel;

        private readonly ICadastroPessoaFísicaRepositório _repositórioPessoaFísica;

        private readonly ISegurançaServiço _criptografiaServiço;
        private readonly ILoginServiço _loginServiço;

        public PainelController(IViewModelControllersGerador<LoginViewModel> geradorLoginViewModel, IAvisoViewModelGerador geradorAvisoViewModel,
            ICadastroPessoaFísicaRepositório repositórioPessoaFísica, ISegurançaServiço criptografiaServiço, ILoginServiço loginServiço)
        {
            _geradorLoginViewModel = geradorLoginViewModel;
            _geradorAvisoViewModel = geradorAvisoViewModel;
            _repositórioPessoaFísica = repositórioPessoaFísica;
            _criptografiaServiço = criptografiaServiço;
            _loginServiço = loginServiço;
        }

        public IActionResult Entrar()
        {
            if (User.Identity.IsAuthenticated) return RedirectToAction(nameof(Mostrar));
            return View(_geradorLoginViewModel.GerarViewModelInicial());
        }

        public async Task<IActionResult> FazerLogin(LoginViewModel viewModel)
        {

            if (string.IsNullOrEmpty(viewModel.Email) || string.IsNullOrEmpty(viewModel.Senha))
            {
                viewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Nenhum dos dois campos pode estar vazio", Erros.CamposLoginVazios);
                return View(nameof(Entrar), viewModel);
            }

            var senhaCriptografada = _criptografiaServiço.Criptografar(viewModel.Senha);
            var campo = _repositórioPessoaFísica.Logar(viewModel.Email, senhaCriptografada);

            if (campo == null)
            {
                viewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("Usuário não encontrado", Erros.UsuárioNãoEncontrado);
                viewModel.Senha = "";

                return View(nameof(Entrar), viewModel);
            }

            if(!campo.EmailConfirmado)
            {
                viewModel.Aviso = _geradorAvisoViewModel.GerarMensagemErro("E-mail não confirmado", Erros.EmailNãoConfirmado);
                viewModel.Senha = "";

                return View(nameof(Entrar), viewModel);
            }

            await _loginServiço.LogarCandidatoAoAuxílioAsync(HttpContext, campo);

            return RedirectToAction(nameof(Mostrar));
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public IActionResult Mostrar()
        {
            var usuário = ObterUsuário();
            return View(usuário.CadastrarEspaçoCultural);
        }

        [Authorize(Roles = ConstantesAutenticaçãoSingleton.CandidatoAoAuxílio)]
        public async Task<IActionResult> Sair()
        {
            await _loginServiço.LogoutAsync(HttpContext);
            return RedirectToAction(nameof(Entrar));
        }

        public IActionResult Negado()
        {
            return View();
        }

        private CadastroPessoaFísicaModelo ObterUsuário()
        {
            var id = int.Parse(User.Claims.Where(c => c.Type == ClaimTypes.NameIdentifier).First().Value);
            var usuário = _repositórioPessoaFísica.RetornarPorId(id);

            return usuário;
        }
    }
}

PontosCulturais/Views/EspacoCultural/Anexos.cshtml
@model PontosCulturais.ViewModels.AnexosEspaçoCulturalViewModel

@await Html.PartialAsync("_Aviso", Model.Aviso) 

<a class="btn btn-success mb-5" asp-controller="Painel" asp-action="Mostrar">Menu Principal</a>

<form asp-action="InserirAnexos" asp-controller="EspacoCultural" method="post" enctype="multipart/form-data" asp-antiforgery="true">
    <div class="form-group row">
        <div class="col-sm-6">
            <label>Comprovante de Endereço*</label>
            <input type="file" class="form-control-file" asp-for="ComprovanteEndereço" required accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>

        <div class="col-sm-6">
            <label>Comprovante de CNPJ</label>
            <input type="file" class="form-control-file" asp-for="ComprovanteCNPJ" accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Alvará de Funcionamento</label>
            <input type="file" class="form-control-file" asp-for="ComprovanteAlvará" accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>

        <div class="col-sm-6">
            <label>Comprovante do Vínculo Empreatício dos Funcionários</label>
            <input type="file" class="form-control-file" asp-for="ComprovanteFuncionários" accept="@ConstantesUploadSingleton.ExtensõesDocumentosForm"/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Comprovante das Atividades Exercidas*</label>
            <input type="file" class="form-control-file" asp-for="ComprovanteAtividades" required accept="@ConstantesUploadSingleton.ExtensõesAtividadesForm"/>
            <small>Você pode enviar um arquivo compactado de no máximo 10MB.</small>
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Enviar</button>
</form>

PontosCulturais/Views/EspacoCultural/Index.cshtml
@model PontosCulturais.ViewModels.CadastroEspaçoCulturalViewModel

<a class="btn btn-success mb-5" asp-controller="Painel" asp-action="Mostrar">Menu Principal</a>

@await Html.PartialAsync("_Aviso", Model.Aviso)

<form asp-action="InserirEspaco" asp-antiforgery="true" method="post">
    <div class="form-group row">
        <div class="col-sm-5">
            <label>Nome do Espaço Cultural*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Nome" />
        </div>

        <div class="col-sm-3">
            <label>Telefone*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Telefone" />
        </div>

        <div class="col-sm-4">
            <label>Nome Popular</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.NomePopular" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>CNPJ</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Cnpj" />
        </div>

        <div class="col-sm-6">
            <label>Razão Social</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.RazãoSocial" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-8">
            <label>Endereço*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Endereço" />
        </div>

        <div class="col-sm-4">
            <label>Bairro*</label>
            <input type="text" class="form-control" asp-for="EspaçoCultural.Bairro" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Abertura do Espaço*</label>
            <input type="date" class="form-control" asp-for="EspaçoCultural.DataFuncionamento" />
        </div>

        <div class="col-sm-6">
            <label>Quantidade de Funcionários*</label>
            <input type="number" class="form-control" asp-for="EspaçoCultural.Funcionários" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Atividades do Espaço*</label>
            <textarea class="form-control" rows="4" asp-for="EspaçoCultural.TipoAtendimento"></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Informações Adicionais de Atuação</label>
            <textarea class="form-control" rows="2" asp-for="EspaçoCultural.InformaçõesAdicionaisAtuação"></textarea>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-4">
            <label>Situação das Atividades</label>
            <select class="form-control" asp-for="EspaçoCultural.SituaçãoAtividadeId" asp-items="new SelectList(Model.SituaçõesAtividade, nameof(SituaçãoAtividadeModelo.Id), nameof(SituaçãoAtividadeModelo.Nome),
                    Model.EspaçoCultural.SituaçãoAtividadeId)"></select>
        </div>

        <div class="col-sm-4">
            <label>Lotação Máxima</label>
            <input type="number" class="form-control" asp-for="EspaçoCultural.LotaçãoMáxima" />
        </div>

        <div class="col-sm-4">
            <label>Situação do Imóvel</label>
            <select class="form-control" asp-for="EspaçoCultural.SituaçãoEspaçoId" asp-items="new SelectList(Model.SituaçõesBeneficiário, nameof(SituaçãoBeneficiárioModelo.Id), nameof(SituaçãoBeneficiárioModelo.Nome),
                    Model.EspaçoCultural.SituaçãoEspaçoId)">
            </select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Tipos de Atividade*</label>
            <select class="form-control" asp-items="new SelectList(Model.TiposAtividades, nameof(TipoDeAtividadeModelo.Id), nameof(TipoDeAtividadeModelo.Nome), Model.IdsTiposAtividades)"
                    asp-for="IdsTiposAtividades"></select>
        </div>

        <div class="col-sm-6">
            <label>Segmentos Culturais*</label>
            <select class="form-control" asp-for="IdsSegmentosCulturais" asp-items="new SelectList(Model.SegmentosCulturais, nameof(SegmentoCulturalModelo.Id), nameof(SegmentoCulturalModelo.Nome),
                    Model.IdsSegmentosCulturais)"></select>
        </div>

    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Modos de Funcionamento*</label>
            <select class="form-control" asp-for="IdsModosFuncionamento" asp-items="new SelectList(Model.ModosFuncionamento, nameof(ModoFuncionamentoModelo.Id), nameof(ModoFuncionamentoModelo.Nome),
                    Model.ModosFuncionamento)"></select>
        </div>

        <div class="col-sm-6">
            <label>Origem dos Recursos*</label>
            <select class="form-control" asp-for="IdsOrigensRecursos" asp-items="new SelectList(Model.OrigensRecursos, nameof(OrigemRecursosModelo.Id), nameof(OrigemRecursosModelo.Nome),
                    Model.IdsOrigensRecursos)"></select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Atividades Desenvolvidas*</label>
            <select class="form-control" asp-for="IdsEquipamentos" asp-items="new SelectList(Model.EquipamentosCulturais, nameof(EquipamentoCulturalModelo.Id), nameof(EquipamentoCulturalModelo.Nome),
                    Model.IdsEquipamentos)" size="10"></select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Receita Anual</label>
            <select class="form-control" asp-for="EspaçoCultural.ReceitaAnualId" asp-items="new SelectList(Model.ReceitasAnuais, nameof(ReceitaAnualModelo.Id), nameof(ReceitaAnualModelo.Nome),
                    Model.EspaçoCultural.ReceitaAnual)"></select>
        </div>

        <div class="col-sm-6">
            <label>Despesa Anual</label>
            <select class="form-control" asp-for="EspaçoCultural.GastoAnualId" asp-items="new SelectList(Model.GastosAnuais, nameof(GastoAnualModelo.Id), nameof(GastoAnualModelo.Nome),
                    Model.EspaçoCultural.GastoAnualId)"></select>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.AtendimentoPago" />
            <label class="form-check-label">O atendimento realizado no espaço cultural é pago.</label>
        </div>
    </div>
    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.DocumentoVínculoEmpregatícioFuncionários" />
            <label class="form-check-label">Tenho documentos que comprovam o vínculo empregatício dos funcionários.</label>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.PossuiAlvaráDeFuncionamento" />
            <label class="form-check-label">Possuo alvará de funcionamento.</label>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.InterrompidoPelaPandemia" />
            <label class="form-check-label">Tive minhas atividades interrompidas pela pandemia de Covid-19.</label>
        </div>
    </div>

    <div class="form-group form-check row">
        <div class="col">
            <input type="checkbox" class="form-check-input" asp-for="EspaçoCultural.DeclaraçãoInformaçõesVerídicas" />
            <label class="form-check-label">Declaro que as informações são verídicas, estando sujeito às aplicações da lei.</label>
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Enviar</button>
</form> 

PontosCulturais/Views/EspacoCultural/Sucesso.cshtml
<div class="alert alert-success">
    Documentos enviados com sucesso! Clique <a class="font-weight-bold" asp-controller="Painel" asp-action="Mostrar">aqui</a> para voltar ao menu principal.
</div>